%define svn r475

Name:           musepack
Version:        0.0
Release:        2%{?dist}
Summary:        Musepack SV8 libraries and tools

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://musepack.net/
Source0:        http://files.musepack.net/source/%{name}_src_%{svn}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  libreplaygain-devel libcuefile-devel

%description
Musepack SV8 libraries and tools

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}_src_%{svn}
find . -name .svn | xargs rm -rf

%build
cmake . \
%ifarch x86_64
	-DLIB_SUFFIX="64" \
%endif
	-DCMAKE_INSTALL_PREFIX="%{_prefix}"

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

install -d $RPM_BUILD_ROOT/%{_libdir}
install -D -m755 libmpcdec/libmpcdec.so $RPM_BUILD_ROOT%{_libdir}/libmpcdec.so

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc
%{_bindir}/*
%{_libdir}/libmpcdec.so

%files devel
%defattr(-,root,root,-)
%doc
%{_includedir}/*


%changelog
* Wed Nov 27 2013 momo-i <webmaster@momo-i.org> - 0.0-1
- Initial rpm release
